<?php
    // please enable the line below if you are having memory issues
    //ini_set('memory_limit', "16M");

    if (!defined( "PLOG_CLASS_PATH" )) {
        define( "PLOG_CLASS_PATH", dirname(__FILE__)."/");
    }
    if( !defined( "MOBILE_PLOG_CLASS_PATH" )) {
        define( "MOBILE_PLOG_CLASS_PATH", PLOG_CLASS_PATH."plugins/mobile/" );
    }

    include_once( MOBILE_PLOG_CLASS_PATH."class/controller/mobilecontroller.class.php" );
    include_once( PLOG_CLASS_PATH."class/net/http/httpvars.class.php" );

    ini_set("arg_seperator.output", "&amp;");
    ini_set("magic_quotes_runtime", 0 );
    
    //
    // a few more constants, please change them if needed
    // 
    define( "MOBILE_PLOG_NUM_COMMENTS_PER_PAGE", 5 );
    define( "MOBILE_PLOG_NUM_POSTS_PER_PAGE", 5 );    

    $controller = new MobileController();

    // give control to the, ehem, controller :)
    $controller->process( HttpVars::getRequest());
?>
